import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class CheckboxComponent implements OnInit, ControlValueAccessor {
    private cd;
    value: boolean;
    isDisabled: boolean;
    id: string;
    label: string;
    propagateChange: (value: boolean) => void;
    validateFn: any;
    onTouched: () => void;
    constructor(cd: ChangeDetectorRef);
    writeValue(obj: any): void;
    registerOnChange(fn: (value: boolean) => void): void;
    setDisabledState?(isDisabled: boolean): void;
    registerOnTouched(fn: () => void): void;
    validate(control: FormControl): any;
    ngOnInit(): void;
    onModelChange(): void;
}
