import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class NumericInputComponent implements OnInit, AfterViewInit, OnDestroy, ControlValueAccessor {
    private cd;
    private locale;
    inputClasses: string[];
    digits: number | '*';
    nullable: boolean;
    min: number;
    max: number;
    rightAlign: boolean;
    digitsOptional: boolean;
    prefix: string;
    value: number;
    isDisabled: boolean;
    input: ElementRef;
    private get inputValue();
    constructor(cd: ChangeDetectorRef, locale: string);
    onInput(): void;
    propagateChange: (value: number) => void;
    validateFn: any;
    onTouched: () => void;
    writeValue(value?: number): void;
    registerOnChange(fn: (value: number) => void): void;
    setDisabledState?(isDisabled: boolean): void;
    registerOnTouched(fn: () => void): void;
    validate(control: FormControl): any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private focusIn;
    onBlur(): void;
    selectAllContent($event: FocusEvent): void;
    onModelChange(): void;
}
