import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class RadioComponent implements OnInit, ControlValueAccessor {
    private cd;
    items: {
        label: string;
        value: any;
    };
    id: string;
    value: any;
    isDisabled: boolean;
    propagateChange: (value: any) => void;
    validateFn: any;
    onTouched: () => void;
    constructor(cd: ChangeDetectorRef);
    writeValue(obj: any): void;
    registerOnChange(fn: (value: any) => void): void;
    setDisabledState?(isDisabled: any): void;
    registerOnTouched(fn: () => void): void;
    validate(control: FormControl): any;
    ngOnInit(): void;
    onModelChange($event: any): void;
}
