import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class SelectComponent implements OnInit, ControlValueAccessor {
    private cd;
    bindLabel: string;
    bindValue: string;
    appendTo: string;
    clearable: boolean;
    searchable: boolean;
    items: any[];
    placeholder: string;
    changed: EventEmitter<any>;
    isDisabled: boolean;
    value: any;
    propagateChange: (value: any) => void;
    validateFn: any;
    onTouched: () => void;
    constructor(cd: ChangeDetectorRef);
    writeValue(obj: any): void;
    registerOnChange(fn: (value: any) => void): void;
    setDisabledState?(isDisabled: any): void;
    registerOnTouched(fn: () => void): void;
    validate(control: FormControl): any;
    ngOnInit(): void;
    onModelChange($event: any): void;
}
