import { ElementRef, Renderer2 } from '@angular/core';
import { FormControlValidatorMessageProvider } from './form-control-validator-message-provider';
export declare abstract class CoreControlValidatorDirective {
    private el;
    private renderer;
    private messageProvider;
    showTooltip: boolean;
    addErrorFeedback: boolean;
    errorMessages: {
        [key: string]: string;
    };
    submittedForm: boolean;
    markAlways: boolean;
    child: any;
    get htmlElement(): HTMLElement;
    constructor(el: ElementRef, renderer: Renderer2, messageProvider: FormControlValidatorMessageProvider);
    abstract addValidationErrors(): boolean;
    abstract getErrors(): {
        [key: string]: string;
    };
    protected checkValidity(): void;
}
