import { ElementRef, OnChanges, OnInit, Renderer2 } from '@angular/core';
import { NgControl } from '@angular/forms';
import { CoreControlValidatorDirective } from './core-control-validator.directive';
import { FormControlValidatorMessageProvider } from './form-control-validator-message-provider';
export declare class FormControlValidatorDirective extends CoreControlValidatorDirective implements OnInit, OnChanges {
    private formControl;
    constructor(formControl: NgControl, el: ElementRef, renderer: Renderer2, messageProvider: FormControlValidatorMessageProvider);
    ngOnInit(): void;
    ngOnChanges(): void;
    addValidationErrors(): boolean;
    getErrors(): {
        [key: string]: string;
    };
}
